Track a public referral link click
Records a referral click with IP, user-agent, and optional telemetry for fraud velocity. No authentication required.
POST
/v1/referral/public/track-clickRequest body
requiredapplication/jsoncodestringrequiredReferral code that was clicked
min length 1
telemetry_idstringOptional device fingerprint telemetry id
Responses
200OK
okbooleanrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/referral/public/track-click" \
-H "Content-Type: application/json" \
-d '{
"code": "string",
"telemetry_id": "string"
}'const response = await fetch("/v1/referral/public/track-click", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"code": "string",
"telemetry_id": "string"
})
});import requests
response = requests.post(
"/v1/referral/public/track-click",
headers={
"Content-Type": "application/json"
},
json={
"code": "string",
"telemetry_id": "string"
},
)Response
{
"ok": true
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}